# Get account referral data

`GET /v3-node-0/smartaccount/{address}/referral`

Returns referral data for a smart account by address

## Authorization



## Parameters

- path: address (string; required). Smart account address

Type: string

## Example · cURL

```bash
curl --request GET 'https://api.storm.tg/v3-node-0/smartaccount/{address}/referral' \
  --header 'Accept: application/json'
```

## Example · JavaScript

```javascript
const response = await fetch("https://api.storm.tg/v3-node-0/smartaccount/{address}/referral", {
  method: "GET",
  headers: {
    "Accept": "application/json"
  },
});
console.log(response.status, await response.text());
```

## Example · Python

```python
import requests

response = requests.request(
    "GET",
    "https://api.storm.tg/v3-node-0/smartaccount/{address}/referral",
    headers={"Accept":"application/json"},
    timeout=30,
)
print(response.status_code, response.text)
```

## Response 200 · Trading.types.ReferrerData

**200** application/json — OK

Schema: Trading.types.ReferrerData

Type: object

Required fields: none

- active (boolean; optional)

active example: true

active.Type: boolean

- created_at (string; optional)

created_at example: string

created_at.Type: string

- discount (integer; optional)

discount example: 0

discount.Type: integer

- owner (object; optional)

owner example: {}

owner.Schema: Trading.github_com_xssnick_tonutils-go_address.Address

owner.Type: object

- rebate (integer; optional)

rebate example: 0

rebate.Type: integer

- referrer (object; optional)

referrer example: {}

referrer.Schema: Trading.github_com_xssnick_tonutils-go_address.Address

referrer.Type: object

- updated_at (string; optional)

updated_at example: string

updated_at.Type: string

Example



```json
{
  "active": true,
  "created_at": "string",
  "discount": 0,
  "owner": {},
  "rebate": 0,
  "referrer": {},
  "updated_at": "string"
}
```

## Response 400 · Trading.api.ErrorResponse

**400** application/json — Bad Request

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```

## Response 500 · Trading.api.ErrorResponse

**500** application/json — Internal Server Error

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```